Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Interface PortletData

public interface PortletData

The `PortletData` contains information about the virtual instance of a portlet. Also, it is through the data that the portlet has access to the personalized data.

Author:
  Thomas F. Boehme

Method Summary
`java.lang.String` | `getAttribute(java.lang.String name)` Returns the value of the attribute with the given name, or `null` if no such attribute exists.
`java.util.Enumeration` | `getAttributeNames()` Returns an enumeration of all available attributes names.
`void` | `removeAllAttributes()` Removes all attributes.
`void` | `removeAttribute(java.lang.String name)` Removes the attribute with the given name.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` Sets the attribute with the given name and value.

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws AccessDeniedException

  Sets the attribute with the given name and value.

  Parameters:
    `name` - the attribute name
    `value` - the attribute value
  Throws:
    `AccessDeniedException` - if the caller isn't authorized to access this data object

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)
                                  throws AccessDeniedException

  Returns the value of the attribute with the given name, or `null` if no such attribute exists.

  Parameters:
    `name` - the attribute name
  Returns:
    the attribute value
  Throws:
    `AccessDeniedException` - if the caller isn't authorized to access this data object

### getAttributeNames

    public java.util.Enumeration getAttributeNames()
                                            throws AccessDeniedException

  Returns an enumeration of all available attributes names.

  Returns:
    an enumeration of attribute names
  Throws:
    `AccessDeniedException` - if the caller isn't authorized to access this data object
  See Also:
    `getAttribute(String)`

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws AccessDeniedException

  Removes the attribute with the given name. If no such attribute exists, this method does nothing.

  Parameters:
    `name` - the attribute name
  Throws:
    `AccessDeniedException` - if the caller isn't authorized to access this data object

### removeAllAttributes

    public void removeAllAttributes()
                             throws AccessDeniedException

  Removes all attributes. If no attributes exist, this method does nothing.

  Throws:
    `AccessDeniedException` - if the caller isn't authorized to access this data object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.